package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="EmSbwxjh对象", description="")
@TableName("em_sbwxjh")
//@Entity
public class EmSbwxjh implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "设备编号")
    @TableField("SBBH")
    private String sbbh;

    @ApiModelProperty(value = "设备名称")
    @TableField("SBMC")
    private String sbmc;

    @ApiModelProperty(value = "设备型号")
    @TableField("SBXH")
    private String sbxh;

    @ApiModelProperty(value = "设备规格")
    @TableField("SBGG")
    private String sbgg;

    @ApiModelProperty(value = "所属部门")
    @TableField("SZCS")
    private String szcs;

    @ApiModelProperty(value = "维修内容")
    private String wxnr;

    @ApiModelProperty(value = "计划开始时间(yyyy/MM/dd HH:mm:ss)")
   // @TableField("kssj_jh")
    private String kssjJh;

    @ApiModelProperty(value = "计划结束时间(yyyy/MM/dd HH:mm:ss)")
  //  @TableField("jssj_jh")
    private String jssjJh;

    @ApiModelProperty(value = "实际开始时间(yyyy/MM/dd HH:mm:ss)")
    private String kssjSj;

    @ApiModelProperty(value = "实际结束时间(yyyy/MM/dd HH:mm:ss)")
    private String jssjSj;

    @ApiModelProperty(value = "状态 ")
    private String zt;

    @ApiModelProperty(value = "负责人")
    private String fzr;

    @ApiModelProperty(value = "备注")
    private String bz;

   // @Id
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
