package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmYdjhLj对象", description="")
public class DmYdjhLj implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String czbh;

    @ApiModelProperty(value = "批量")
    private String pl;

    @ApiModelProperty(value = "分段")
    private String fd;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "组立")
    private String zl;

    @ApiModelProperty(value = "套料图号")
    private String tlth;

    @ApiModelProperty(value = "配套表类型")
    private String ptblx;

    @ApiModelProperty(value = "零件编号")
    private String ljbh;

    @ApiModelProperty(value = "零件名称")
    private String ljmc;

    @ApiModelProperty(value = "零件规格")
    private String ljgg;

    @ApiModelProperty(value = "零件材质")
    private String ljcz;

    @ApiModelProperty(value = "物品分类")
    private String wpfl;

    @ApiModelProperty(value = "计量单位")
    private String jldw;

    @ApiModelProperty(value = "数量")
    private Double sl;

    @ApiModelProperty(value = "打磨计划日期")
    private String dmjhrq;

    @ApiModelProperty(value = "前方需求小组期")
    private String qfxqrqxz;

    @ApiModelProperty(value = "前方需求大组期")
    private String qfxqrqdz;

    @ApiModelProperty(value = "工艺路线")
    private String gylx;

    @ApiModelProperty(value = "打磨负责人")
    private String dmfzry;

    @ApiModelProperty(value = "打磨设备编号")
    private String dmsbbh;

    @ApiModelProperty(value = "打磨长度")
    private Double dmcd;

    @ApiModelProperty(value = "打磨人员")
    private String dmry;

    @ApiModelProperty(value = "打磨开始日期")
    private String dmksrq;

    @ApiModelProperty(value = "打磨结束日期")
    private String dmjsrq;

    @ApiModelProperty(value = "状态")
    private String dmZt;

    @ApiModelProperty(value = "编制人")
    private String dmBzry;

    @ApiModelProperty(value = "编制日期")
    private String dmBzrq;

    @ApiModelProperty(value = "下发人")
    private String dmXfry;

    @ApiModelProperty(value = "下发日期")
    private String dmXfrq;

    @ApiModelProperty(value = "反馈人")
    private String dmFkry;

    @ApiModelProperty(value = "反馈日期")
    private String dmFkrq;

    @ApiModelProperty(value = "反馈原因")
    private String dmFkyy;

    @ApiModelProperty(value = "坡口计划日期")
    private String pkjhrq;

    @ApiModelProperty(value = "坡口负责人")
    private String pkfzry;

    @ApiModelProperty(value = "坡口设备编号")
    private String pksbbh;

    @ApiModelProperty(value = "坡口类型")
    private String pklx;

    @ApiModelProperty(value = "坡口长度")
    private Double pkcd;

    @ApiModelProperty(value = "坡口人员")
    private String pkry;

    @ApiModelProperty(value = "坡口开始日期")
    private String pkksrq;

    @ApiModelProperty(value = "坡口结束日期")
    private String pkjsrq;

    @ApiModelProperty(value = "状态")
    private String pkZt;

    @ApiModelProperty(value = "编制人")
    private String pkBzry;

    @ApiModelProperty(value = "编制日期")
    private String pkBzrq;

    @ApiModelProperty(value = "下发人")
    private String pkXfry;

    @ApiModelProperty(value = "下发日期")
    private String pkXfrq;

    @ApiModelProperty(value = "反馈人")
    private String pkFkry;

    @ApiModelProperty(value = "反馈日期")
    private String pkFkrq;

    @ApiModelProperty(value = "反馈原因")
    private String pkFkyy;

    @ApiModelProperty(value = "曲加工计划期")
    private String qjgjhrq;

    @ApiModelProperty(value = "曲加工负责人")
    private String qjgfzry;

    @ApiModelProperty(value = "曲设备编号")
    private String qsbbh;

    @ApiModelProperty(value = "曲加工人员")
    private String qjgry;

    @ApiModelProperty(value = "曲加工开始日期")
    private String qjgksrq;

    @ApiModelProperty(value = "曲加工结束日期")
    private String qjgjsrq;

    @ApiModelProperty(value = "状态")
    private String qjgZt;

    @ApiModelProperty(value = "编制人")
    private String qjgBzry;

    @ApiModelProperty(value = "编制日期")
    private String qjgBzrq;

    @ApiModelProperty(value = "下发人")
    private String qjgXfry;

    @ApiModelProperty(value = "下发日期")
    private String qjgXfrq;

    @ApiModelProperty(value = "反馈人")
    private String qjgFkry;

    @ApiModelProperty(value = "反馈日期")
    private String qjgFkrq;

    @ApiModelProperty(value = "反馈原因")
    private String qjgFkyy;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    private String qbs;

    private String pkbs;
    private String dmbs;

    private String qdr;

    private String pkdr;
    private String dmdr;



}
