package com.dsic.gj_erp.controller.jcsj;


import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.DmBclqmxp;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.service.jcsj.DmBclqmxpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@RestController
@RequestMapping("/dmBclqmxp")
public class DmBclqmxpController {

    @Autowired
    DmBclqmxpService dmBclqmxpService;
    @PostMapping("/getBcLQlList")
    @ResponseBody
    public ResultBean getBcLQlList(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        List<DmBclqmxp> bcLQlList = dmBclqmxpService.getBcLQlList(map);
        return new ResultBean(bcLQlList);

    }

}

