package com.dsic.gj_erp.service.jcsj.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsic.gj_erp.bean.jcsj.DmBclqmxp;
import com.dsic.gj_erp.mapper.jcsj.DmBclqmxpMapper;
import com.dsic.gj_erp.service.jcsj.DmBclqmxpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Service
public class DmBclqmxpServiceImpl extends ServiceImpl<DmBclqmxpMapper, DmBclqmxp> implements DmBclqmxpService {

    @Autowired
    DmBclqmxpMapper dmBclqmxpMapper;
    @Override
    public List<DmBclqmxp> getBcLQlList(Map map) {
        List<DmBclqmxp> bcLQlList = dmBclqmxpMapper.getBcLQlList(map);
        bcLQlList.forEach(e->{
                if(e.getSl().compareTo(BigDecimal.ZERO)==0){
                    e.setDztlzl(e.getLjzl());
                }else{
                    e.setDztlzl(e.getLjzl().divide(e.getSl(),BigDecimal.ROUND_CEILING).setScale(2, BigDecimal.ROUND_HALF_UP));
                }
                if(e.getShzl().compareTo(new BigDecimal("0"))==0){

                }else{
                    e.setTlshbl(e.getLjzl().divide(e.getShzl(),BigDecimal.ROUND_CEILING).setScale(2, BigDecimal.ROUND_HALF_UP));
                }

        });
        return bcLQlList;
    }
}
